List transactions, newest first
curl --request GET \
--url https://api.example.com/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"type": "<string>",
"status": "pending",
"isIncome": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "txn_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"from": {
"amount": "500.00",
"currency": "<string>",
"usdRate": "500.00"
},
"to": {
"amount": "500.00",
"currency": "<string>",
"usdRate": "500.00"
},
"fee": {
"amount": "500.00",
"currency": "<string>",
"usdRate": "500.00"
},
"counterparty": "<string>",
"paymentReference": "<string>",
"remitter": "<string>",
"txHash": "<string>",
"tag": "<string>",
"hasAttachments": false
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Transactions
List transactions, newest first
Cursor-paged: pass nextCursor back as cursor. There is no offset and no total.
GET
/
transactions
List transactions, newest first
curl --request GET \
--url https://api.example.com/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"type": "<string>",
"status": "pending",
"isIncome": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "txn_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"from": {
"amount": "500.00",
"currency": "<string>",
"usdRate": "500.00"
},
"to": {
"amount": "500.00",
"currency": "<string>",
"usdRate": "500.00"
},
"fee": {
"amount": "500.00",
"currency": "<string>",
"usdRate": "500.00"
},
"counterparty": "<string>",
"paymentReference": "<string>",
"remitter": "<string>",
"txHash": "<string>",
"tag": "<string>",
"hasAttachments": false
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The client account to act for, as a cl_… id. Omit it to act as yourself.
Example:
"cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
Query Parameters
Comma-separated transaction types
Comma-separated statuses
Comma-separated tags
Minimum string length:
2Required range:
1 <= x <= 100Maximum string length:
512Was this page helpful?